Get all webhooks
Get all webhooks (paginated).
GET
/
webhooks
TypeScript
const response: Promise<FireblocksResponse<WebhookPaginatedResponse>> = fireblocks.webhooksV2.getWebhooks(webhooksV2ApiGetWebhooksRequest);CompletableFuture<ApiResponse<WebhookPaginatedResponse>> response = fireblocks.webhooksV2().getWebhooks(order, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_webhooks(order, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/webhooksconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"url": "https://example.com/webhook",
"events": [
"transaction.created",
"transaction.status.updated"
],
"status": "ENABLED",
"createdAt": 1625126400000,
"updatedAt": 1625126400000,
"description": "This webhook is used for transactions notifications",
"mtls": {
"clientSignedCert": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----"
}
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
ASC / DESC ordering (default DESC)
Available options:
ASC, DESC Example:
"ASC"
Cursor of the required page
Maximum number of items in the page
Required range:
1 <= x <= 100Example:
10
Was this page helpful?
Previous
Create a new webhookCreates a new webhook, which will be triggered on the specified events
**Endpoint Permissions:** Owner, Admin, Non-Signing Admin.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<WebhookPaginatedResponse>> = fireblocks.webhooksV2.getWebhooks(webhooksV2ApiGetWebhooksRequest);CompletableFuture<ApiResponse<WebhookPaginatedResponse>> response = fireblocks.webhooksV2().getWebhooks(order, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_webhooks(order, page_cursor, page_size);